Cofano1 = {};

function Cofano1.prerequisitesPresent(specializations)
	return true;
end;

function Cofano1:load(xmlFile)
	local Cofano = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Cofano#index"));
	if Cofano ~= nil then
		self.Cofano = Cofano;
	end;
end;
	
function Cofano1:delete()
end;

function Cofano1:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Cofano1:keyEvent(unicode, sym, modifier, isDown)
end;

function Cofano1:update(dt)
if not self:getIsActive() then
	local nearestDistance = 2.1;
	local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);

	local px, py, pz = getWorldTranslation(self.Cofano); 
	local distance = Utils.vector3Length(px-vx, py-vy, pz-vz); 
	if distance < nearestDistance then
		self.przyKosiarce = true; 
	else
		self.przyKosiarce = false; 
	end;

	if self.przyKosiarce or self.isEntered then
		if InputBinding.hasEvent(InputBinding.Cofano) then
			if self.animationParts[1].clipEndTime then
				self:setAnimationTime(1, self.animationParts[1].offSet);
			elseif self.animationParts[1].clipStartTime then
				self:setAnimationTime(1, self.animationParts[1].animDuration);
			end;
		end;
	end;
	if self.przyKosiarce then
		if self.animationParts[1].clipStartTime then
			g_currentMission:addExtraPrintText(string.format("%s: Apri cofano ", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Cofano)));
 		else
			g_currentMission:addExtraPrintText(string.format("%s: Chiudi cofano", InputBinding.getKeyNamesOfDigitalAction(InputBinding.Cofano)));
		end;
 	end;
  end;
end;

function Cofano1:draw()
end;

function Cofano1:onDetach()
end;

function Cofano1:onLeave()
end;

function Cofano1:onDeactivate()
end;